version: "3.9"

services:
  app:
    image: orenciso/xgame-leads-api:latest
    container_name: xgame-leads-api
    env_file:
      - .env
    ports:
      - 3011:3011

  copy-leads-env:
    image: orenciso/xgame-leads-api:latest
    container_name: copy-leads-env
    volumes:
      - /var/www/xgame-api/xgame-leads-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
